> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# A2PSendSms

POST https://api.voximplant.com/platform_api/A2PSendSms

Sends an A2P SMS message from the application to customers. A SenderID is required for A2P messages. Please contact support for installing a SenderID.

Allowed roles: `CallsSMS`.

**Example request:** Send the SMS message with the text "Test message" from the phone number 447443332211 to the phone numbers 447443332212 and 447443332213.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/sms/a-2-p-send-sms

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /A2PSendSms:
    post:
      operationId: a-2-p-send-sms
      summary: A2PSendSms
      description: >-
        Sends an A2P SMS message from the application to customers. A SenderID
        is required for A2P messages. Please contact support for installing a
        SenderID.


        Allowed roles: `CallsSMS`.


        **Example request:** Send the SMS message with the text "Test message"
        from the phone number 447443332211 to the phone numbers 447443332212 and
        447443332213.
      tags:
        - subpackage_sms
      parameters:
        - name: src_number
          in: query
          description: >-
            The SenderID for outgoing SMS. Please contact support for installing
            a SenderID
          required: true
          schema:
            type: string
        - name: dst_numbers
          in: query
          description: >-
            The destination phone numbers separated by semicolons (;). The
            maximum number of these phone numbers is 100
          required: true
          schema:
            type: array
            items:
              type: string
        - name: text
          in: query
          description: >-
            The message text, up to 1600 characters. We split long messages
            greater than 160 GSM-7 characters or 70 UTF-16 characters into
            multiple segments. Each segment is charged as one message
          required: true
          schema:
            type: string
        - name: store_body
          in: query
          description: Whether to store outgoing message texts. Default value is false
          required: false
          schema:
            type: boolean
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/sms_A2PSendSms_Response_200'
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    SmsTransaction:
      type: object
      properties:
        message_id:
          type: integer
          description: Message ID
        destination_number:
          type: string
          description: The SMS destination number
      description: The part of the [A2PSendSms] function result.
      title: SmsTransaction
    FailedSms:
      type: object
      properties:
        destination_number:
          type: string
          description: The SMS destination number
        error_description:
          type: string
          description: The error description
        error_code:
          type: integer
          description: The error code
      description: The part of the [A2PSendSms] function result.
      title: FailedSms
    sms_A2PSendSms_Response_200:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/SmsTransaction'
        failed:
          type: array
          items:
            $ref: '#/components/schemas/FailedSms'
        fragments_count:
          type: integer
          description: The number of fragments the message is divided into
      title: sms_A2PSendSms_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/A2PSendSms"

querystring = {"src_number":"src_number","dst_numbers":"[\"string\"]","text":"text"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/A2PSendSms?src_number=src_number&dst_numbers=%5B%22string%22%5D&text=text';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/A2PSendSms?src_number=src_number&dst_numbers=%5B%22string%22%5D&text=text"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/A2PSendSms?src_number=src_number&dst_numbers=%5B%22string%22%5D&text=text")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/A2PSendSms?src_number=src_number&dst_numbers=%5B%22string%22%5D&text=text")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/A2PSendSms?src_number=src_number&dst_numbers=%5B%22string%22%5D&text=text', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/A2PSendSms?src_number=src_number&dst_numbers=%5B%22string%22%5D&text=text");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/A2PSendSms?src_number=src_number&dst_numbers=%5B%22string%22%5D&text=text")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```